<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwPvRange.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwPvRange_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwPvRange.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2c2b0dc9a570bc3dad91f5943436cf55"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a2c2b0dc9a570bc3dad91f5943436cf55">_fwPvRange_buildSettingsLists</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int configurationType, dyn_anytype configData, dyn_string &amp;attributesToSet, dyn_anytype &amp;valuesToSet, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2c2b0dc9a570bc3dad91f5943436cf55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54586f963ec24434b0f883f57d550e92"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a54586f963ec24434b0f883f57d550e92">_fwPvRange_buildAttributesList</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int configurationType, dyn_string &amp;attributes, dyn_int &amp;attributeIndex, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a54586f963ec24434b0f883f57d550e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a26ec305fa3bb6e262d3f915429626f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a6a26ec305fa3bb6e262d3f915429626f">_fwPvRange_checkInputConfiguration</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int pvRangeType, dyn_anytype configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a6a26ec305fa3bb6e262d3f915429626f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1bb3aafbe7482728ac1ae482cfcc54"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#aab1bb3aafbe7482728ac1ae482cfcc54">fwPvRange_setObjectMany</a> (dyn_string dpes, dyn_int pvRangeTypes, dyn_dyn_anytype configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aab1bb3aafbe7482728ac1ae482cfcc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2496521b88987138989b8b181c4a53db"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a2496521b88987138989b8b181c4a53db">_fwPvRange_set</a> (dyn_string dpes, dyn_int pvRangeTypes, dyn_dyn_anytype configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2496521b88987138989b8b181c4a53db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e727a11854b66e17345cbe66cdefa2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a30e727a11854b66e17345cbe66cdefa2">fwPvRange_setObjectMultiple</a> (dyn_string dpes, int pvRangeType, dyn_anytype configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a30e727a11854b66e17345cbe66cdefa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2da65b27296fa4dd6fe4fc63dd7e3c2e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a2da65b27296fa4dd6fe4fc63dd7e3c2e">fwPvRange_setObject</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int pvRangeType, dyn_anytype configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2da65b27296fa4dd6fe4fc63dd7e3c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fc8b6a7a80f14544d8404559d751977"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a5fc8b6a7a80f14544d8404559d751977">fwPvRange_getObject</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;configExists, int &amp;pvRangeType, dyn_anytype &amp;configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5fc8b6a7a80f14544d8404559d751977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3ff1f0e242899343f51e80cfbf08db3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#aa3ff1f0e242899343f51e80cfbf08db3">fwPvRange_getObjectMany</a> (dyn_string dpes, dyn_bool &amp;configExists, dyn_int &amp;pvRangeTypes, dyn_dyn_anytype &amp;configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aa3ff1f0e242899343f51e80cfbf08db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1386c746be5c4dd04f85e67094337eb7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a1386c746be5c4dd04f85e67094337eb7">_fwPvRange_get</a> (dyn_string dpes, dyn_bool &amp;configExists, dyn_int &amp;pvRangeTypes, dyn_dyn_anytype &amp;configData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a1386c746be5c4dd04f85e67094337eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e4a3f49cb9240dcf08702da873fbde7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a0e4a3f49cb9240dcf08702da873fbde7">fwPvRange_deleteMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a0e4a3f49cb9240dcf08702da873fbde7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a512dfe95b464dba43b61078f34d5fb06"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a512dfe95b464dba43b61078f34d5fb06">fwPvRange_deleteMany</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a512dfe95b464dba43b61078f34d5fb06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd2eb983981042fb4db97b690f4265b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a5bd2eb983981042fb4db97b690f4265b">fwPvRange_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5bd2eb983981042fb4db97b690f4265b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6938e0929290593aab3303f011040ebf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a6938e0929290593aab3303f011040ebf">fwPvRange_setMany</a> (dyn_string &amp;dpes, dyn_float &amp;minValue, dyn_float &amp;maxValue, dyn_bool &amp;negateRange, dyn_bool &amp;ignoreOutside, dyn_bool &amp;inclusiveMin, dyn_bool &amp;inclusiveMax, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="memdesc:a6938e0929290593aab3303f011040ebf"><td class="mdescLeft">&#160;</td><td class="mdescRight">!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!  <a href="fwPvRange_8ctl.html#a6938e0929290593aab3303f011040ebf">More...</a><br /></td></tr>
<tr class="separator:a6938e0929290593aab3303f011040ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d40ef2f8be2a082b97a0d53635fbfb5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a5d40ef2f8be2a082b97a0d53635fbfb5">fwPvRange_setMultiple</a> (dyn_string dpes, float minValue, float maxValue, bool negateRange, bool ignoreOutside, bool inclusiveMin, bool inclusiveMax, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5d40ef2f8be2a082b97a0d53635fbfb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331c494ef2658e631bfb00e9421f6bc1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a331c494ef2658e631bfb00e9421f6bc1">fwPvRange_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, float minValue, float maxValue, bool negateRange, bool ignoreOutside, bool inclusiveMin, bool inclusiveMax, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a331c494ef2658e631bfb00e9421f6bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45f95f86ebfc4c9029b65f5c9ceb4506"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a45f95f86ebfc4c9029b65f5c9ceb4506">fwPvRange_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;configExists, float &amp;minValue, float &amp;maxValue, bool &amp;negateRange, bool &amp;ignoreOutside, bool &amp;inclusiveMin, bool &amp;inclusiveMax, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a45f95f86ebfc4c9029b65f5c9ceb4506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0881b30126c04935ed93e8de141bf9cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwPvRange_8ctl.html#a0881b30126c04935ed93e8de141bf9cf">fwPvRange_getMany</a> (dyn_string &amp;dpes, dyn_bool &amp;configExists, dyn_float &amp;minValue, dyn_float &amp;maxValue, dyn_bool &amp;negateRange, dyn_bool &amp;ignoreOutside, dyn_bool &amp;inclusiveMin, dyn_bool &amp;inclusiveMax, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a0881b30126c04935ed93e8de141bf9cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains function associated with the PV range config. Functions are provided for getting the current settings, deleting the config and setting the config</p>
<dl class="section user"><dt>Creation Date</dt><dd>21/08/2000</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>05/09/2011 Marco Boccioli</p><ul>
<li>@sav{86287}: fwPVRange_objectGet() returns incomplete data. The parameters object is now initialized in <a class="el" href="fwPvRange_8ctl.html#a1386c746be5c4dd04f85e67094337eb7">_fwPvRange_get()</a>.</li>
</ul>
<p>12/08/2011 Marco Boccioli</p><ul>
<li><p class="startli">@sav{85462}: Functions *_setMany and *_getMany with parameters as reference.</p>
<p class="startli">10/10/2000 - modified savePvRange() function so that pv_range.._type is not set if pv_range config already exists. 01/09/2003 Sascha Schmeling: modified _set and _get to allow for floats 15/01/2004 Oliver Holme (IT-CO) Completed overhaul of whole library 19/07/2006 Oliver Holme (IT-CO) Added new object based functions to support new PV range types</p>
</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>WARNING: the functions use the dpGet or dpSetWait, problems may occur when using these functions in a working function called by a PVSS (dpConnect) or in a calling function</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Herve Milcent, Juha Rossi, Oliver Holme (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a2c2b0dc9a570bc3dad91f5943436cf55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c2b0dc9a570bc3dad91f5943436cf55">&#9670;&nbsp;</a></span>_fwPvRange_buildSettingsLists()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPvRange_buildSettingsLists </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configurationType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>attributesToSet</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>valuesToSet</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This functions is used to prepare the necessary values for a dpSet on the necessary attributes of the _pv_range config. This function assumes that the _type attribute has already been set to the ncessary value</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element to which the pv_range config should be written </td></tr>
    <tr><td class="paramname">configurationType</td><td>value which has been written _type attribute - one of: DPCONFIG_NONE DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>a list of data to be set to the attributes of the pv_range config. The order or items in this list is based on the global constants which define which attribute is which </td></tr>
    <tr><td class="paramname">attributesToSet</td><td>a list of the attributes to be written is returned here </td></tr>
    <tr><td class="paramname">valuesToSet</td><td>a list of values to be passed to the dpSet is returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a54586f963ec24434b0f883f57d550e92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54586f963ec24434b0f883f57d550e92">&#9670;&nbsp;</a></span>_fwPvRange_buildAttributesList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPvRange_buildAttributesList </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>configurationType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>attributes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>attributeIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function is used to prepare a list of attributes that need to be written to in order to set the pv_range config. An index is also returned to help identify which attribute is which.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element to which the pv_range config should be written </td></tr>
    <tr><td class="paramname">configurationType</td><td>value which has been written _type attribute - one of: DPCONFIG_NONE DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">attributes</td><td>a list is returned here containing all the attributes needed to set the pv_range config on the dpe </td></tr>
    <tr><td class="paramname">attributeIndex</td><td>a list is returned here containing an index to explain which attribute is which. The list is a list of integers that can be compared to the global constants that define which attribute is which </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6a26ec305fa3bb6e262d3f915429626f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a26ec305fa3bb6e262d3f915429626f">&#9670;&nbsp;</a></span>_fwPvRange_checkInputConfiguration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPvRange_checkInputConfiguration </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pvRangeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function is checks the consistency of the PV rnage configuration objects before they are written to the dpe.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>the dpe that the configuration is for </td></tr>
    <tr><td class="paramname">pvRangeType</td><td>types of PV range to set. The value can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for the dpe is passed here Constants are used to identify the data inside the object. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aab1bb3aafbe7482728ac1ae482cfcc54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab1bb3aafbe7482728ac1ae482cfcc54">&#9670;&nbsp;</a></span>fwPvRange_setObjectMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_setObjectMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>pvRangeTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets different PV range configs for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">pvRangeTypes</td><td>list of types of PV range to set. The values can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for each dpe is passed here. The first dimension of the array defines which dpe the object relate to. e.g. configData[1] contains the configuration object for dpes[1] Constants are used to identify the data inside the object.</td></tr>
  </table>
  </dd>
</dl>
<p>For all PV range configurations the configData object must contain values for: fwPvRange_NEGATE_RANGE - e.g. configData[1][fwPvRange_NEGATE_RANGE] = TRUE; fwPvRange_IGNORE_OUTSIDE</p>
<p>For min-max PV ranges, the following object fields must also be filled: fwPvRange_INCLUSIVE_MINIMUM fwPvRange_INCLUSIVE_MAXIMUM fwPvRange_MINIMUM_VALUE fwPvRange_MAXIMUM_VALUE</p>
<p>For value set PV ranges, the following object fields must also be filled: fwPvRange_VALUE_SET</p>
<p>For min-max PV ranges, the following object fields must also be filled: fwPvRange_VALUE_PATTERN </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2496521b88987138989b8b181c4a53db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2496521b88987138989b8b181c4a53db">&#9670;&nbsp;</a></span>_fwPvRange_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPvRange_set </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>pvRangeTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets different PV range configs for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">pvRangeTypes</td><td>list of types of PV range to set. The value can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for each dpe is passed here. The first dimension of the array defines which dpe the object relate to. e.g. configData[1] contains the configuration object for dpes[1] Constants are used to identify the data inside the object. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a30e727a11854b66e17345cbe66cdefa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30e727a11854b66e17345cbe66cdefa2">&#9670;&nbsp;</a></span>fwPvRange_setObjectMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_setObjectMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pvRangeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the same PV range config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">pvRangeType</td><td>types of PV range to set. The value can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for the dpes is passed here Constants are used to identify the data inside the object.</td></tr>
  </table>
  </dd>
</dl>
<p>For all PV range configurations the configData object must contain values for: fwPvRange_NEGATE_RANGE - e.g. configData[fwPvRange_NEGATE_RANGE] = TRUE; fwPvRange_IGNORE_OUTSIDE</p>
<p>For min-max PV ranges, the following object fields must also be filled: fwPvRange_INCLUSIVE_MINIMUM fwPvRange_INCLUSIVE_MAXIMUM fwPvRange_MINIMUM_VALUE fwPvRange_MAXIMUM_VALUE</p>
<p>For value set PV ranges, the following object fields must also be filled: fwPvRange_VALUE_SET</p>
<p>For min-max PV ranges, the following object fields must also be filled: fwPvRange_VALUE_PATTERN </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2da65b27296fa4dd6fe4fc63dd7e3c2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2da65b27296fa4dd6fe4fc63dd7e3c2e">&#9670;&nbsp;</a></span>fwPvRange_setObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_setObject </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>pvRangeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the PV range config for the given data point element</p>
<dl class="section user"><dt>Example</dt><dd>Set a good range from 0 to 100 included. <div class="fragment"><div class="line">dyn_string exceptionInfo;</div>
<div class="line">dyn_anytype configData;</div>
<div class="line">configData[fwPvRange_NEGATE_RANGE] = <span class="keyword">false</span>; <span class="comment">//the values inside range are good</span></div>
<div class="line">configData[fwPvRange_IGNORE_OUTSIDE] = <span class="keyword">true</span>;</div>
<div class="line">configData[fwPvRange_INCLUSIVE_MINIMUM] = <span class="keyword">true</span>;</div>
<div class="line">configData[fwPvRange_INCLUSIVE_MAXIMUM] = <span class="keyword">true</span>;</div>
<div class="line">configData[fwPvRange_MINIMUM_VALUE] = 0;</div>
<div class="line">configData[fwPvRange_MAXIMUM_VALUE] = 100;</div>
<div class="line">configData[fwPvRange_VALUE_SET] = makeDynFloat();</div>
<div class="line">configData[fwPvRange_VALUE_PATTERN] = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a class="code" href="fwPvRange_8ctl.html#a2da65b27296fa4dd6fe4fc63dd7e3c2e">fwPvRange_setObject</a>(<span class="stringliteral">&quot;test_alarms:testPV_01.value&quot;</span>, DPCONFIG_MINMAX_PVSS_RANGECHECK, configData, exceptionInfo);</div>
<div class="ttc" id="afwPvRange_8ctl_html_a2da65b27296fa4dd6fe4fc63dd7e3c2e"><div class="ttname"><a href="fwPvRange_8ctl.html#a2da65b27296fa4dd6fe4fc63dd7e3c2e">fwPvRange_setObject</a></div><div class="ttdeci">fwPvRange_setObject(string dpe, int pvRangeType, dyn_anytype configData, dyn_string &amp;exceptionInfo)</div><div class="ttdef"><b>Definition:</b> fwPvRange.ctl:478</div></div>
</div><!-- fragment --> </dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">pvRangeType</td><td>types of PV range to set. The value can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for the dpe is passed here Constants are used to identify the data inside the object. For all PV range configurations the configData object must contain values for: fwPvRange_NEGATE_RANGE - e.g. configData[fwPvRange_NEGATE_RANGE] = TRUE; fwPvRange_IGNORE_OUTSIDE For min-max PV ranges, the following object fields must also be filled: fwPvRange_INCLUSIVE_MINIMUM fwPvRange_INCLUSIVE_MAXIMUM fwPvRange_MINIMUM_VALUE fwPvRange_MAXIMUM_VALUE For value set PV ranges, the following object fields must also be filled: fwPvRange_VALUE_SET For min-max PV ranges, the following object fields must also be filled: fwPvRange_VALUE_PATTERN </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5fc8b6a7a80f14544d8404559d751977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fc8b6a7a80f14544d8404559d751977">&#9670;&nbsp;</a></span>fwPvRange_getObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_getObject </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>pvRangeType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the PV range config from the given data point element</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configExists</td><td>TRUE if PV Range config exists, else FALSE </td></tr>
    <tr><td class="paramname">pvRangeType</td><td>types of PV range is returned here. The value can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for the dpe is returned here Constants are used to identify the data inside the object.</td></tr>
  </table>
  </dd>
</dl>
<p>For all PV range configurations the configData object will contain values for: fwPvRange_NEGATE_RANGE - e.g. rangeNegated = configData[fwPvRange_NEGATE_RANGE]; fwPvRange_IGNORE_OUTSIDE</p>
<p>For min-max PV ranges, the following object fields will also be filled: fwPvRange_INCLUSIVE_MINIMUM fwPvRange_INCLUSIVE_MAXIMUM fwPvRange_MINIMUM_VALUE fwPvRange_MAXIMUM_VALUE</p>
<p>For value set PV ranges, the following object fields will also be filled: fwPvRange_VALUE_SET</p>
<p>For min-max PV ranges, the following object fields will also be filled: fwPvRange_VALUE_PATTERN </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa3ff1f0e242899343f51e80cfbf08db3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3ff1f0e242899343f51e80cfbf08db3">&#9670;&nbsp;</a></span>fwPvRange_getObjectMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_getObjectMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>pvRangeTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the PV range configs for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">configExists</td><td>list of bools, TRUE if PV Range config exists, else FALSE </td></tr>
    <tr><td class="paramname">pvRangeTypes</td><td>list of types of PV range is returned here. The values can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for each of the dpes is returned here The first dimension of the array defines which dpe the object relate to. e.g. configData[1] contains the configuration object from dpes[1] Constants are used to identify the data inside the object.</td></tr>
  </table>
  </dd>
</dl>
<p>For all PV range configurations the configData object will contain values for: fwPvRange_NEGATE_RANGE - e.g. rangeNegated = configData[1][fwPvRange_NEGATE_RANGE]; fwPvRange_IGNORE_OUTSIDE</p>
<p>For min-max PV ranges, the following object fields will also be filled: fwPvRange_INCLUSIVE_MINIMUM fwPvRange_INCLUSIVE_MAXIMUM fwPvRange_MINIMUM_VALUE fwPvRange_MAXIMUM_VALUE</p>
<p>For value set PV ranges, the following object fields will also be filled: fwPvRange_VALUE_SET</p>
<p>For min-max PV ranges, the following object fields will also be filled: fwPvRange_VALUE_PATTERN </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1386c746be5c4dd04f85e67094337eb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1386c746be5c4dd04f85e67094337eb7">&#9670;&nbsp;</a></span>_fwPvRange_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwPvRange_get </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>pvRangeTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_anytype &amp;&#160;</td>
          <td class="paramname"><em>configData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the PV range configs for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">configExists</td><td>list of bools, TRUE if PV Range config exists, else FALSE </td></tr>
    <tr><td class="paramname">pvRangeTypes</td><td>list of types of PV range is returned here. The values can be one of: DPCONFIG_MINMAX_PVSS_RANGECHECK DPCONFIG_SET_PVSS_RANGECHECK DPCONFIG_MATCH_PVSS_RANGECHECK </td></tr>
    <tr><td class="paramname">configData</td><td>configuration object for each dpe is returned here. The first dimension of the array defines which dpe the object relate to. e.g. configData[1] contains the configuration object for dpes[1] Constants are used to identify the data inside the object. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0e4a3f49cb9240dcf08702da873fbde7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e4a3f49cb9240dcf08702da873fbde7">&#9670;&nbsp;</a></span>fwPvRange_deleteMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_deleteMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the PV range config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a512dfe95b464dba43b61078f34d5fb06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a512dfe95b464dba43b61078f34d5fb06">&#9670;&nbsp;</a></span>fwPvRange_deleteMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_deleteMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the PV range config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5bd2eb983981042fb4db97b690f4265b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bd2eb983981042fb4db97b690f4265b">&#9670;&nbsp;</a></span>fwPvRange_delete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the PV range config for the given data point element</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6938e0929290593aab3303f011040ebf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6938e0929290593aab3303f011040ebf">&#9670;&nbsp;</a></span>fwPvRange_setMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_setMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>minValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>maxValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>negateRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>ignoreOutside</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>inclusiveMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>inclusiveMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! </p>
<p>!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! DEPRECATED function - use fwPvRange_setObjectMany instead</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>DEPRECATED</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">minValue</td><td>list of lower limit for the range. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">maxValue</td><td>list of upper limit for the range. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">negateRange</td><td>list of bools, TRUE for "reverse (negate) value-range handling" . Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">ignoreOutside</td><td>list of bools, TRUE when "invalid values should be ignored". Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">inclusiveMin</td><td>list of bools, TRUE when "minimum value included in the value range". Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">inclusiveMax</td><td>list of bools, TRUE when "maximum value included in the value range". Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5d40ef2f8be2a082b97a0d53635fbfb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d40ef2f8be2a082b97a0d53635fbfb5">&#9670;&nbsp;</a></span>fwPvRange_setMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_setMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>minValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maxValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>negateRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ignoreOutside</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inclusiveMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inclusiveMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED function - use fwPvRange_setObjectMultiple instead</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>DEPRECATED</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">minValue</td><td>lower limit for the range </td></tr>
    <tr><td class="paramname">maxValue</td><td>upper limit for the range </td></tr>
    <tr><td class="paramname">negateRange</td><td>TRUE for "reverse (negate) value-range handling" </td></tr>
    <tr><td class="paramname">ignoreOutside</td><td>TRUE when "invalid values should be ignored" </td></tr>
    <tr><td class="paramname">inclusiveMin</td><td>TRUE when "minimum value included in the value range" </td></tr>
    <tr><td class="paramname">inclusiveMax</td><td>TRUE when "maximum value included in the value range" </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a331c494ef2658e631bfb00e9421f6bc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331c494ef2658e631bfb00e9421f6bc1">&#9670;&nbsp;</a></span>fwPvRange_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>minValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maxValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>negateRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ignoreOutside</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inclusiveMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inclusiveMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED function - use fwPvRange_setObject instead</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>DEPRECATED</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">minValue</td><td>lower limit for the range </td></tr>
    <tr><td class="paramname">maxValue</td><td>upper limit for the range </td></tr>
    <tr><td class="paramname">negateRange</td><td>TRUE for "reverse (negate) value-range handling" </td></tr>
    <tr><td class="paramname">ignoreOutside</td><td>TRUE when "invalid values should be ignored" </td></tr>
    <tr><td class="paramname">inclusiveMin</td><td>TRUE when "minimum value included in the value range" </td></tr>
    <tr><td class="paramname">inclusiveMax</td><td>TRUE when "maximum value included in the value range" </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a45f95f86ebfc4c9029b65f5c9ceb4506"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f95f86ebfc4c9029b65f5c9ceb4506">&#9670;&nbsp;</a></span>fwPvRange_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&#160;</td>
          <td class="paramname"><em>minValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&#160;</td>
          <td class="paramname"><em>maxValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>negateRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>ignoreOutside</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>inclusiveMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>inclusiveMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED function - use fwPvRange_getObject instead</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>DEPRECATED</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configExists</td><td>TRUE if PV Range config exists, else FALSE </td></tr>
    <tr><td class="paramname">minValue</td><td>lower limit for the range </td></tr>
    <tr><td class="paramname">maxValue</td><td>upper limit for the range </td></tr>
    <tr><td class="paramname">negateRange</td><td>TRUE for "reverse (negate) value-range handling" </td></tr>
    <tr><td class="paramname">ignoreOutside</td><td>TRUE when "invalid values should be ignored" </td></tr>
    <tr><td class="paramname">inclusiveMin</td><td>TRUE when "minimum value included in the value range" </td></tr>
    <tr><td class="paramname">inclusiveMax</td><td>TRUE when "maximum value included in the value range" </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0881b30126c04935ed93e8de141bf9cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0881b30126c04935ed93e8de141bf9cf">&#9670;&nbsp;</a></span>fwPvRange_getMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwPvRange_getMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>minValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>maxValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>negateRange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>ignoreOutside</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>inclusiveMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>inclusiveMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DEPRECATED function - use fwPvRange_getObjectMany instead</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>DEPRECATED</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">configExists</td><td>list of bools, TRUE if PV Range config exists, else FALSE </td></tr>
    <tr><td class="paramname">minValue</td><td>list of lower limit for the range </td></tr>
    <tr><td class="paramname">maxValue</td><td>list of upper limit for the range </td></tr>
    <tr><td class="paramname">negateRange</td><td>list of bools, TRUE for "reverse (negate) value-range handling" </td></tr>
    <tr><td class="paramname">ignoreOutside</td><td>list of bools, TRUE when "invalid values should be ignored" </td></tr>
    <tr><td class="paramname">inclusiveMin</td><td>list of bools, TRUE when "minimum value included in the value range" </td></tr>
    <tr><td class="paramname">inclusiveMax</td><td>list of bools, TRUE when "maximum value included in the value range" </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwPvRange_8ctl.html">fwPvRange.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
